#include "gpdef.h"

#define LCD_WIDTH 320
#define LCD_HEIGHT 240

typedef struct tagGPDRAWSURFACE{
	unsigned char * ptbuffer;
	int bpp;	/*reserved*/
	int buf_w;
	int buf_h;
	int ox;
	int oy;
	unsigned char * o_buffer;
} GPDRAWSURFACE;

int GpLcdSurfaceGet(GPDRAWSURFACE * ptgpds, int idx);

int GpGraphicModeSet(int gd_bpp, unsigned short * gp_pal);
void GpSurfaceFlip(GPDRAWSURFACE * ptgpds, int vs);


typedef unsigned long* GP_HPALETTE;
typedef unsigned short GP_PALETTEENTRY;

GP_HPALETTE GpPaletteCreate (int entry_num, GP_PALETTEENTRY * pal_entry);
GP_HPALETTE GpPaletteSelect(GP_HPALETTE h_new);
unsigned int GpPaletteRealize (void);


void GpTextOut();
void GpTextOut16();

unsigned int GpTickCountGet();

void GpKeyInit();
int GpKeyGet();

void gp_mem_func();
void InitSDL();
